Subject: Re: Endianness problem with u32 classifier hash masks

From: jamal <[email-masked]>
Date: Mon, 05 Nov 2007 08:47:06 -0500

On Mon, 2007-05-11 at 10:12 +0100, Jarek Poplawski wrote:

> BTW: when looking around this I think, maybe, in u32_change():
> 
> 1) if (--divisor > 0x100) should be probably ">=", 

Does it really matter? Divisor can be max of 0xff.

> but is it really needed to check this 2 times (including tc)?

I dont mind letting users shoot themselves in the foot by sending crap.
If it can be avoided with simplicity, then better.

> 2) this while() loop for n->fshift could be replaced with ffs()?

I think so. Can you please send a patch (after some testing of course
maybe using Radu's test data)?

cheers,
jamal